org.eclipse.incquery.runtime.localsearch.planner

## Class PConstraintInfo

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.planner.PConstraintInfo

-     public class PConstraintInfo
      extends java.lang.Object

  Wraps a PConstraint together with information required for the planner. Currently contains information about the expected binding state of the affected variables also called application condition, and the cost of the enforcement, based on the meta and/or the runtime context.
  Author:
    Marton Bur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PConstraintInfo(PConstraint constraint, java.util.Set<PVariable> boundMaskVariables, java.util.Set<PVariable> freeMaskVariables, java.util.Set<PConstraintInfo> sameWithDifferentBindings, IQueryRuntimeContext runtimeContext)` Instantiates the wrapper

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<PVariable>` | `getBoundVariables()`
    `PConstraintCategory` | `getCategory(PBody pBody, java.util.Set<PVariable> boundVariables)`
    `PConstraint` | `getConstraint()`
    `float` | `getCost()`
    `java.util.Set<PVariable>` | `getFreeVariables()`
    `java.util.Set<PConstraintInfo>` | `getSameWithDifferentBindings()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PConstraintInfo

          public PConstraintInfo(PConstraint constraint,
                                 java.util.Set<PVariable> boundMaskVariables,
                                 java.util.Set<PVariable> freeMaskVariables,
                                 java.util.Set<PConstraintInfo> sameWithDifferentBindings,
                                 IQueryRuntimeContext runtimeContext)

      Instantiates the wrapper
      Parameters:
        `constraintfor` - which the information is added and stored
        `boundMaskVariablesthe` - bound variables in the operation mask
        `freeMaskVariablesthe` - free variables in the operation mask
        `sameWithDifferentBindingsduring` - the planning process, multiple operation adornments are considered for a constraint, so that it is represented by multiple plan infos. This parameter contains all plan infos that are for the same constraint, but with different adornment
        `runtimeContextthe` - runtime query context

  - ### Method Detail

    - #### getConstraint

          public PConstraint getConstraint()

    - #### getFreeVariables

          public java.util.Set<PVariable> getFreeVariables()

    - #### getBoundVariables

          public java.util.Set<PVariable> getBoundVariables()

    - #### getSameWithDifferentBindings

          public java.util.Set<PConstraintInfo> getSameWithDifferentBindings()

    - #### getCost

          public float getCost()

    - #### getCategory

          public PConstraintCategory getCategory(PBody pBody,
                                                 java.util.Set<PVariable> boundVariables)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`